Bug 186639

Summary: Use a more "descriptive" mouse cursor for wiring tasks in the graphic dependencies view
Product: calligraplan Reporter: Michael Leupold <lemma>
Component: generalAssignee: Dag Andersen <dag.andersen>
Status: RESOLVED FIXED    
Severity: wishlist    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In: 2.6

Description Michael Leupold 2009-03-09 11:01:42 UTC
Version:           KOffice2, Beta7 (r937167) (using Devel)
OS:                Linux
Installed from:    Compiled sources

(From Bugsquad KOfficeDay2)

When wiring dependencies in the graphic dependencies view, the mouse cursor changes to an arrow pointing upwards on hovering a task's connection points.

There's several cursors I think would suit better, eg.:
- dnd-copy
- dnd-link
- hand1
Comment 1 Dag Andersen 2012-06-30 11:28:46 UTC
Git commit 1566b02a7a9854825d420eda9483cfa710270815 by Dag Andersen.
Committed on 25/06/2012 at 11:19.
Pushed by danders into branch 'master'.

Fix bug 186639 -  Use a more "descriptive" mouse cursor for wiring tasks in the graphic

Use Qt::DragLinkCursor for qt version 4.7 and later

M  +2    -0    plan/CHANGELOG
M  +16   -8    plan/libs/ui/kptdependencyeditor.cpp

http://commits.kde.org/calligra/1566b02a7a9854825d420eda9483cfa710270815